# TODO
# - drop the addon plugins, say in 2.0?

# jquery plugin version
%define		field_ver	0.9.2

Summary:	jQuery JavaScript Library
Summary(pl.UTF-8):	Biblioteka JavaScriptu jQuery
Name:		jquery
Version:	1.9.1
Release:	3
License:	MIT
Group:		Applications/WWW
Source0:	http://code.jquery.com/%{name}-%{version}.min.js
# Source0-md5:	397754ba49e9e0cf4e7c190da78dda05
Source10:	http://code.jquery.com/%{name}-%{version}.js
# Source10-md5:	08c235d357750c657ac1db7d1cf656a9
Source11:	apache.conf
Source12:	lighttpd.conf
Source1:	http://plugins.jquery.com/files/%{name}.field.%{field_ver}.zip
# Source1-md5:	1bd5d766f79034904a07ddbbab5cb27a
Source3:	http://marcgrabanski.com/code/ui-datepicker/core/core.ui.datepicker.zip
# Source3-md5:	46967b9c5ee626697b977e2909fb00b1
Source4:	http://www.mikage.to/jquery/%{name}.history.js
# Source4-md5:	d035c1f13f1795e6d739cd045d6dfb9b
URL:		http://www.jquery.com/
BuildRequires:	rpmbuild(macros) >= 1.553
BuildRequires:	unzip
Requires:	webserver(alias)
Suggests:	webserver(access)
Conflicts:	jquery-ui < 1.8.22
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}
%define		_appdir		%{_datadir}/%{name}

%description
jQuery is a fast, concise, JavaScript Library that simplifies how you
traverse HTML documents, handle events, perform animations, and add
Ajax interactions to your web pages.

jQuery is designed to change the way that you write JavaScript.

This package also provides following jQuery plugins:
- jquery.field v%{field_ver},

%description -l pl.UTF-8
jQuery to szybka biblioteka Javascriptu upraszczająca przetwarzanie
dokumentów HTML, obsługę zdarzeń, animacji oraz akcji AJAX w serwisach
internetowych.

jQuery został zaprojektowany tak, by zmienić sposób pisania kodu w
JavaScripcie.

Pakiet ten dostarcza także dodatkowe wtyczki jQuery:
- jquery.field v%{field_ver},

%prep
%setup -qcT -a1 -a3
cp -p %{SOURCE4} .
cp -p %{SOURCE0} jquery.min.js
cp -p %{SOURCE10} jquery.src.js
%undos -f js

%{__sed} -i -e '/@ sourceMappingURL/d' jquery.min.js

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_appdir}/plugins
# core
cp -p jquery.min.js $RPM_BUILD_ROOT%{_appdir}/jquery-%{version}.min.js
cp -p jquery.src.js $RPM_BUILD_ROOT%{_appdir}/jquery-%{version}.js
mver=%(echo %{version} | cut -d. -f1,2)
ln -s jquery-%{version}.min.js $RPM_BUILD_ROOT%{_appdir}/jquery-$mver.js
ln -s jquery-%{version}.min.js $RPM_BUILD_ROOT%{_appdir}/jquery.min.js
ln -s jquery-%{version}.min.js $RPM_BUILD_ROOT%{_appdir}/jquery.js

# plugins

# http://plugins.jquery.com/project/field, MIT/GPL v0.7
cp -p jquery.field.min.js $RPM_BUILD_ROOT%{_appdir}/plugins/field.js

# http://www.mikage.to/jquery/jquery_history.html, MIT
cp -p jquery.history.js $RPM_BUILD_ROOT%{_appdir}/plugins/history.js

# http://marcgrabanski.com/pages/code/jquery-ui-datepicker, MIT/GPL v3.4.3
cp -p ui.datepicker.{js,css} $RPM_BUILD_ROOT%{_appdir}/plugins

install -d $RPM_BUILD_ROOT%{_sysconfdir}
cp -p %{SOURCE11} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
cp -p %{SOURCE12} $RPM_BUILD_ROOT%{_sysconfdir}/lighttpd.conf
cp -p $RPM_BUILD_ROOT%{_sysconfdir}/{apache,httpd}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerin -- lighttpd
%webapp_register lighttpd %{_webapp}

%triggerun -- lighttpd
%webapp_unregister lighttpd %{_webapp}

%files
%defattr(644,root,root,755)
%doc field.plugin.htm
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lighttpd.conf
%dir %{_appdir}
%{_appdir}/*.js
%dir %{_appdir}/plugins
%{_appdir}/plugins/*.js
%{_appdir}/plugins/*.css
%changelog
* Thu Sep 12 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/jquery.git;a=log;h=master

* Thu Sep 12 2013 Elan Ruusamäe <glen@delfi.ee> b2627a0
- drop mapping, as map is not packaged

* Tue Aug 27 2013 Elan Ruusamäe <glen@delfi.ee> 8b60281
- apache 1.3/2.0/2.2/2.4 compatible config

* Tue Aug 27 2013 Elan Ruusamäe <glen@delfi.ee> d7f88b6
- Revert "- migrated to apache 2.4"

* Tue May 28 2013 Elan Ruusamäe <glen@delfi.ee> a246785
- up to 1.9.1

* Wed May 15 2013 Jan Rękorajski <baggins@pld-linux.org> d8e9807
- migrated to apache 2.4

* Fri Dec 07 2012 Elan Ruusamäe <glen@delfi.ee> 4d0bce2
- up to 1.8.3

* Fri Dec 07 2012 Elan Ruusamäe <glen@delfi.ee> 25d7a4a
- conflict with old jquery-ui

* Fri Oct 12 2012 Jan Rękorajski <baggins@pld-linux.org> 7c360e4
- fix typo in apache config
- rel 2

* Mon Sep 03 2012 Elan Ruusamäe <glen@delfi.ee> ec7b9a8
- undos

* Mon Sep 03 2012 Elan Ruusamäe <glen@delfi.ee> e531b32
- up to 1.8.1; license change to MIT only

* Sat Sep 01 2012 Elan Ruusamäe <glen@delfi.ee> c99da19
- make apache access module optional

* Tue Jul 31 2012 Elan Ruusamäe <glen@delfi.ee> 97d4b46
- up to 1.7.2

* Thu Jul 19 2012 Elan Ruusamäe <glen@delfi.ee> ff99d9a
- install unversioned jquery.min.js

* Thu Jul 19 2012 Elan Ruusamäe <glen@delfi.ee> 10b0413
- drop konqueror history patch

* Thu Jul 19 2012 Elan Ruusamäe <glen@delfi.ee> 35ee760
- drop konqueror history patch

* Thu Feb 09 2012 Elan Ruusamäe <glen@pld-linux.org> 20e2a3b
- release 3

* Thu Feb 09 2012 Elan Ruusamäe <glen@pld-linux.org> 9205773
- match up to directory component

* Thu Feb 09 2012 Elan Ruusamäe <glen@pld-linux.org> 7f09512
- move webserver config to separate files

* Tue Jan 10 2012 Elan Ruusamäe <glen@pld-linux.org> 0d560e9
- cleanup descs as well

* Tue Jan 10 2012 Elan Ruusamäe <glen@pld-linux.org> b37701a
- jquery form available separately: jquery-form

